PHP includes in Amazon Elastic Map Reduce

Submitted by rok on

Amazon MR is great for analyzing web server logs. In some cases that requires deciphering user agent string which can be a daunting task. There are mulitple agent strings for any browser family, version and plugins enabled.

One of the tools which helps with maching agent is http://us2.php.net/manual/en/function.get-browser.php . To get it working it requires external browscap.ini file and php.ini update. It is possible to achieve this with updating php.ini in MR bootstrap action http://www.zlender.net/2011/02/25/amazon-elastic-map-reduce-adding-php-e...

Tags: 

Amazon Elastic Map Reduce Adding PHP Extensions

Submitted by rok on

I've ran into an issue with my PHP mapper script where an PHP extension I needed was missing. These are the extensions available that mapreduce instances start with by default.

hadoop@ip:~$ php -m
[PHP Modules]
bcmath
bz2
calendar
ctype
date
dba
dom
exif
filter
ftp
gd
gettext
hash
iconv
imagick
json
libxml
mbstring
mime_magic
ncurses
openssl
pcntl
pcre
PDO
pdo_sqlite
posix
Reflection
session

Tags: 

Vancouver

Submitted by rok on

I am writing this at Vancouver airport waiting for my flight to New York to continue my North American tour :). This concludes two months of living in Vancouver. I've decided to move to Van for two months to work face to face with people I usually only communicate online. It has been a great experience. There are some things you cannot communicate online be it IRC, Skype, voice chats or video chats, things you talk about when going out for lunch, vibe in the office, mood of people sitting in the same room, talks you have at fridays after work beer.

Tags: 

Open source on iPhone

Submitted by rok on

Open source iPhone apps? Is this even possible? Apparently yes. Mobile Colloquy http://colloquy.info/mobile/ is available through iTunes App Store but its source code is also available in Colloquy svn repository. Anyone can check it out from the repository but not everyone can transfer it to an iPhone.

OK so what do you need to compile and use this app on iPhone:

  • iPhone or iPod touch obviously, I only tried on iPhone
  • XCode with SDK for iPhone I use SDK version for iPhone OS 2.2 and it works fine

Tags: